Skip to main content
Support - EBSCO Help

What are the minimum requirements for accessing EBSCOhost Mobile?

When accessing EBSCOhost Mobile, your mobile device should be running one of the following operating system versions:

  • Android 2.3 or Higher
  • iOS 7 or higher
  • Kindle Fire OS 4.5.1 or higher

Note: Depending on your individual device, your EBSCOhost Mobile experience may vary.

See also:

EBSCOhost Mobile Frequently Asked Questions